Type to search.

Copy a saved query

Base URL
https://{kibana_url}
  • POST /api/osquery/saved_queries/{id}/copy
  • POST /s/{space_id}/api/osquery/saved_queries/{id}/copy
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create a copy of a saved query with a unique name by appending a _copy suffix. If the name already exists, a numeric suffix is added (e.g., _copy_2).

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string required

The ID of the saved query to copy.

Example: 3c42c847-eb30-4452-80e0-728584042334

Response

Indicates a successful call.

application/json
data object required
created_at string · format: date-time
created_by string nullable
created_by_profile_uid string
description string

The saved query description.

ecs_mapping map string to object

Map osquery results columns or static values to Elastic Common Schema (ECS) fields

id string required

The ID of a saved query.

interval integer | string
platform string

Restricts the query to a specified platform. The default is all platforms. To specify multiple platforms, use commas. For example, linux,darwin.

query string

The SQL query you want to run.

removed boolean

Indicates whether the query is removed.

saved_object_id string required
snapshot boolean

Indicates whether the query is a snapshot.

timeout integer
updated_at string · format: date-time
updated_by string nullable
updated_by_profile_uid string